## enchant 1.6.0

=== debian/changelog ===
enchant (1.6.0-11.3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:27:04 +0100

enchant (1.6.0-11.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Fix typo in library dependency.
    (Closes: #941847, #941822)

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Oct 2019 09:59:59 -0400

enchant (1.6.0-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Update homepage to the new one on GitHub pages.
    + Update Vcs-* fields and use git packaging repo under
      Salsa Debian group.
    + Bump Standards-Version to 4.4.0.
    + Prefer hunspell instead of aspell. (Closes: #860888)
  * debian/rules:
    + Replace manual query of multiple variables
      with inclusion of /usr/share/dpkg/default.mk.
    + Move dh_autoreconf_clean just before dh_clean to fix
      FTBFS when building twice. (Closes: #886860)
  * debian/gbp.conf: Use new format [buildpackage] instead
    of [git-buildpackage].
  * debian/changelog: Remove trailing spaces.
  * debian/libenchant-dev.files: Do not install .la files.

  [ Manuel A. Fernandez Montecelo ]
  * Triggers file removed, dh_makeshlibs already does the job
    - quells lintian error: repeated-trigger-name

  [ Timo Jyrinki ]
  * Update watch file.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Sep 2019 19:23:26 -0400

enchant (1.6.0-11.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: cross_build.diff (Closes: #836546)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Sep 2017 00:25:09 +0200

enchant (1.6.0-11) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Add patch to fix FTBFS with hunspell 1.4. (Closes: #821464)

  [ Prach Pongpanich ]
  * Bump standards version to 3.9.8
  * Packaging moved to collab-maint
  * Replace libenchant1c2a manual calls ldconfig with a trigger

 -- Prach Pongpanich <prach@debian.org>  Sun, 01 May 2016 23:29:22 +0700

enchant (1.6.0-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on ppc64el. Closes: #745662

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 15:59:12 +0000

enchant (1.6.0-10) unstable; urgency=low

  * Upload to unstable

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 17 May 2013 21:35:14 +0700

enchant (1.6.0-9) experimental; urgency=low

  * Fix FTBFS on non-amd64 architectures: (Closes: #703820)
    - Use the (c++) syntax in libenchant1c2a.symbols
  * Add Vcs-* fields in debian/control
  * Add debian/gbp.conf

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 24 Mar 2013 23:46:45 +0700

enchant (1.6.0-8) experimental; urgency=low

  * New maintainer. (Closes: #580680)
  * Build with hardening flags:
    - Bump debhelper compat to level 9.
    - Add debhelper (>= 9).
    - Replace FLAGS,CPPFLAGS,LDFLAGS with dpkg-buildflags.
    - Override false positive hardening-no-fortify-functions
      lintian warnings.
  * Multiarch support:
    - Add "Pre-Depends: ${misc:Pre-Depends}" for libenchant1c2a,
      libenchant-voikko.
    - Add DEB_HOST_MULTIARCH and pass it to --libdir in configure.
    - Replace /usr/lib/ with /usr/lib/*/ in {libenchant1c2a,
      libenchant-dev,libenchant-voikko}.files and debian/rules.
    - Add "Multi-Arch: same" for libenchant1c2a,libenchant-voikko.
  * Use symbols file:
    - Add libenchant1c2a.symbols.
    - Add "dh_makeshlibs -V" in debian/rules.
    - Drop libenchant1c2a.shlibs.
    - Drop TODO.debian file.
  * Update 02_Requires-Private.diff to DEP-3 format.
  * Bump to Standards-Version 3.9.4, no changes needed.

 -- Prach Pongpanich <prachpub@gmail.com>  Mon, 11 Feb 2013 18:29:04 +0700

enchant (1.6.0-7) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Prefix libenchant1c2a depends with a non-virtual package.
  * 02_Requires-Private.diff:
    - Move glib-2.0 Requires in upstream enchant.pc.in to
      Requires.private. While enchant depends on glib-2.0, API
      it exposes to other programs doesn't require glib. This
      makes life easier for packages depending on enchant
      (Closes: #651819).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 21 Dec 2011 11:37:41 +0100

enchant (1.6.0-6) unstable; urgency=low

  * QA upload.
  * debian/patches: Add/update DEP-3 headers.
  * debian/enchant-lsmod.1: Some fixes and improvements.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Nov 2011 12:50:29 +0100

enchant (1.6.0-5) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Make libenchant1c2a depend on
      (myspell|aspell|ispell|hunspell)-dictionary (Closes: #646555).
    - Fix wording of libenchant1c2a description (Closes: #647284).
  * 03_improve-options-info.diff: New quilt patch with some
    improvements in options info (Closes: #647281).
  * debian/enchant-lsmod.1: Fix typo (Closes: #647279).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Nov 2011 09:43:39 +0100

enchant (1.6.0-4) unstable; urgency=low

  [ Fabrizio Regalli ]
  * QA upload.
  * Fixed format-3.0-but-debian-changes-patch lintian message
  * Bump to 3.9.2 Standards-Version
  * Bump debhelper to (>= 8.0.0)
  * Update d/compat to 8
  * Replaced 'Conflicts' with 'Breaks' in d/rules
  * Added d/watch
  * Added build-{arch,indep} rules
  * Added 01-fixminus.diff patch

  [ Agustin Martin Domingo ]
  * debian/rules:
    - Do not change upstream config.{guess,sub} for anything than
      building (Closes: #643107).
    - Set compile/link flags to those provided by dpkg-buildflags.
      Needs a recent enough dpkg-dev.
  * 02-new-ispell-format.diff. New patch to make enchant use new
    ispell 3.3 format (Closes: #640788). Break old ispell.
  * Create a minimal man page for enchant-lsmod.
  * Move binary programs from library package to new binary
    package enchant (Closes: #219436, #532873).
  * 10_enchant.1_remove-PU-macro.diff: New patch to no longer use
    unavailable .PU nroff macro .


