=== debian/control ===
Source: enchant
Section: devel
Priority: optional
Maintainer: Prach Pongpanich <prach@debian.org>
Build-Depends: chrpath,
               dh-autoreconf,
               debhelper (>= 9),
               hspell (>= 0.7-2),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libhunspell-dev (>= 1.1.5-2),
               libpspell-dev (>= 0.60.3-3),
               libvoikko-dev,
               libz-dev
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/enchant.git
Vcs-Browser: https://salsa.debian.org/debian/enchant
Homepage: https://abiword.github.io/enchant/

Package: libenchant-dev
Section: libdevel
Architecture: any
Depends: libenchant1c2a (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
Description: Wrapper library for various spell checker engines (development)
 Enchant is a generic spell checking library which uses existing
 spell checker engines such as ispell, aspell and myspell as its backends.
 .
 Enchant steps in to provide uniformity and conformity on top of these
 libraries, and implement certain features that may be lacking in any
 individual provider library.
 .
 This package contains files needed for development with Enchant.

Package: libenchant1c2a
Section: libs
Architecture: any
Multi-Arch: same
Depends: hunspell-en-us | hunspell-dictionary | aspell-dictionary | myspell-dictionary | ispell-dictionary,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: ispell (<< 3.3.02), libenchant1, libenchant1c2
Recommends: enchant
Replaces: libenchant-dev (<< 1.1.1++cvs.2003.11.08), libenchant1, libenchant1c2
Suggests: libenchant-voikko
Description: Wrapper library for various spell checker engines (runtime libs)
 Enchant is a generic spell checking library which uses existing
 spell checker engines such as ispell, aspell and myspell as its backends.
 .
 Enchant steps in to provide uniformity and conformity on top of these
 libraries, and implement certain features that may be lacking in any
 individual provider library.
 .
 This package contains the shared library and non-Voikko enchant plugins.

Package: libenchant-voikko
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libenchant1c2a (= 1.4.2-3)
Replaces: libenchant1c2a (= 1.4.2-3)
Description: Voikko spell-checker libenchant plugin
 Voikko is a Finnish spell-checker and hyphenator based on Malaga and
 Suomi-Malaga.
 .
 This package contains a libenchant provider plugin that allows using Voikko in
 any application that uses enchant library for spell-checking, such as
 Abiword.

Package: enchant
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libenchant1c2a (<< 1.6.0-4)
Replaces: libenchant1c2a (<< 1.6.0-4)
Description: Wrapper for various spell checker engines (binary programs)
 Enchant is a generic spell checking library which uses existing
 spell checker engines such as ispell, aspell and myspell as its backends.
 .
 Enchant steps in to provide uniformity and conformity on top of these
 libraries, and implement certain features that may be lacking in any
 individual provider library.
 .
 This package contains standalone runtime binary programs.
