=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    build_flags = --build=$(DEB_BUILD_GNU_TYPE)
else
    build_flags = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
build_flags += $(shell $(dpkg-buildflags) --export=configure)


ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	dh_autoreconf

	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-ispell-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/ispell \
		--with-myspell-dir=/usr/share/hunspell \
		--disable-zemberek $(build_flags)


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	# Restore original config.{guess,sub}
	[ ! -f config.sub.bkp ]   || mv -f config.sub.bkp config.sub
	[ ! -f config.guess.bkp ] || mv -f config.guess.bkp config.guess
	dh_autoreconf_clean
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# remove bogus RPATHs on /usr/lib
	chrpath -d debian/tmp/usr/bin/*
	chrpath -d debian/tmp/usr/lib/*/*.so*
	chrpath -d debian/tmp/usr/lib/*/enchant/*.so
	# clean .la references out of dependency_libs, so libtool doesn't
	# go walking the filesystem for irrelevant information on every
	# build
	for file in debian/tmp/usr/lib/*/*.la debian/tmp/usr/lib/*/enchant/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles -plibenchant-voikko
	dh_movefiles -Nlibenchant-voikko
	dh_installchangelogs ChangeLog
	dh_installdocs
	  install -m 644 $(CURDIR)/src/aspell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/aspell
	  install -m 644 $(CURDIR)/src/ispell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/ispell
	  install -m 644 $(CURDIR)/src/uspell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/uspell
	install -m 644 $(CURDIR)/debian/enchant.ordering $(CURDIR)/debian/libenchant1c2a/usr/share/enchant/enchant.ordering
	dh_installexamples
	dh_install
	dh_installman -penchant doc/enchant.1 debian/enchant-lsmod.1
	dh_link
	dh_strip
	dh_lintian
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
