=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/enchant-$1\.tar\.gz/ \
https://www.github.com/AbiWord/enchant/tags .*/v([\d\.]*).tar.gz
