## enchant 1.6.0.2

=== debian/changelog ===
enchant (1.6.0.2-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 1962a33d86a5c0ce2094a95ded34308c128b426a']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 19:55:53 +0000
