## enchant 1.6.1

=== debian/changelog ===
enchant (1.6.1-1+0~20210212.1+debian11~1.gbp73138d) unstable; urgency=medium

  ** SNAPSHOT build @73138da2ac10247ef45314afc5b1e575edbbef36 **

  * Update gbp.conf

 -- Ondřej Surý <ondrej@sury.org>  Fri, 12 Feb 2021 21:06:07 +0100

enchant (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Remove debian/patches merged in enchant-1.6.1
  * Update symbols file
  * Update debhelper level to 10

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Feb 2021 21:00:37 +0100
