=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Prach Pongpanich <prach@debian.org>
 Build-Depends: chrpath,
                dh-autoreconf,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                hspell (>= 0.7-2),
                libdbus-1-dev,
                libdbus-glib-1-dev,
@@ -13,10 +13,10 @@
                libpspell-dev (>= 0.60.3-3),
                libvoikko-dev,
                libz-dev
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/debian/enchant.git
-Vcs-Browser: https://salsa.debian.org/debian/enchant
-Homepage: https://abiword.github.io/enchant/
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/ondrej/enchant.git
+Vcs-Browser: https://salsa.debian.org/ondrej/enchant
+Homepage: http://www.abisource.com/projects/enchant/
 
 Package: libenchant-dev
 Section: libdevel
@@ -36,7 +36,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: hunspell-en-us | hunspell-dictionary | aspell-dictionary | myspell-dictionary | ispell-dictionary,
+Depends: aspell-en |  myspell-dictionary | aspell-dictionary | ispell-dictionary | hunspell-dictionary,
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
