## enchant 2.1.2

=== debian/changelog ===
enchant (2.1.2-1~exp1) experimental; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Triggers file removed, dh_makeshlibs already does the job
    - quells lintian error: repeated-trigger-name

  [ Timo Jyrinki ]
  * New upstream version.
  * Update watch file.
  * Drop all patches, seem applied upstream or no longer relevant 
    (eg ispell provider dropped)
  * Depend on and use gnulib, update configure options.
  * Drop docs that are no longer there.
  * Update man page paths.
  * Voikko plugin file name changed.
  * Library soname change.
  * Increase Standards-Version.
  * Fix gbp.conf warning.
  * Update symbols.
  * Add myself to uploaders as requested.

  [ Prach Pongpanich ]
  * Add build-depends on libltdl-dev

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Nov 2017 19:02:43 +0200
