=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Prach Pongpanich <prach@debian.org>
+Uploaders: Timo Jyrinki <timo@debian.org>
 Build-Depends: chrpath,
                dh-autoreconf,
-               debhelper (>= 10~),
+               debhelper (>= 9),
+               gnulib,
                hspell (>= 0.7-2),
                libdbus-1-dev,
                libdbus-glib-1-dev,
@@ -12,16 +14,17 @@
                libhunspell-dev (>= 1.1.5-2),
                libpspell-dev (>= 0.60.3-3),
                libvoikko-dev,
+               libltdl-dev,
                libz-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://salsa.debian.org/ondrej/enchant.git
-Vcs-Browser: https://salsa.debian.org/ondrej/enchant
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/enchant.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/enchant.git
 Homepage: http://www.abisource.com/projects/enchant/
 
 Package: libenchant-dev
 Section: libdevel
 Architecture: any
-Depends: libenchant1c2a (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
+Depends: libenchant2 (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
 Description: Wrapper library for various spell checker engines (development)
  Enchant is a generic spell checking library which uses existing
  spell checker engines such as ispell, aspell and myspell as its backends.
@@ -32,7 +35,7 @@
  .
  This package contains files needed for development with Enchant.
 
-Package: libenchant1c2a
+Package: libenchant2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -40,9 +43,9 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: ispell (<< 3.3.02), libenchant1, libenchant1c2
+Breaks: ispell (<< 3.3.02), libenchant1, libenchant1c2, libenchant1c2a
 Recommends: enchant
-Replaces: libenchant-dev (<< 1.1.1++cvs.2003.11.08), libenchant1, libenchant1c2
+Replaces: libenchant-dev (<< 1.1.1++cvs.2003.11.08), libenchant1, libenchant1c2, libenchant1c2a
 Suggests: libenchant-voikko
 Description: Wrapper library for various spell checker engines (runtime libs)
  Enchant is a generic spell checking library which uses existing
