=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/default.mk
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+GNULIB_MODULES := "alloca bootstrap c99 configmake flock manywarnings relocatable-lib-lgpl snippet/unused-parameter strchrnul strdup-posix ssize_t valgrind-tests"
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
     build_flags = --build=$(DEB_BUILD_GNU_TYPE)
@@ -24,7 +30,7 @@
 
 
 # shared library versions, option 1
-version=2.0.5
+version=2.1.2
 major=2
 # option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
 #version=`ls src/.libs/lib*.so.* | \
@@ -32,9 +38,13 @@
 #major=`ls src/.libs/lib*.so.* | \
 # awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
+configure:
+	dh_testdir
+	gnulib-tool --libtool --no-vc-files --import "$(GNULIB_MODULES)"
+	dh_autoreconf
+
 config.status: configure
 	dh_testdir
-	dh_autoreconf
 
 	# Add here commands to configure the package.
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -43,8 +53,7 @@
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--with-ispell-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/ispell \
-		--with-myspell-dir=/usr/share/hunspell \
+		--with-hunspell-dir=/usr/share/hunspell \
 		--disable-zemberek $(build_flags)
 
 
@@ -62,13 +71,16 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
+	rm -f build-stamp
+
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
+
 	# Restore original config.{guess,sub}
 	[ ! -f config.sub.bkp ]   || mv -f config.sub.bkp config.sub
 	[ ! -f config.guess.bkp ] || mv -f config.guess.bkp config.guess
-	dh_autoreconf_clean
-	rm -f build-stamp
+
 	dh_clean
 
 install: build
@@ -102,13 +114,10 @@
 	dh_movefiles -Nlibenchant-voikko
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	  install -m 644 $(CURDIR)/src/aspell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/aspell
-	  install -m 644 $(CURDIR)/src/ispell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/ispell
-	  install -m 644 $(CURDIR)/src/uspell/README $(CURDIR)/debian/libenchant1c2a/usr/share/doc/libenchant1c2a/uspell
-	install -m 644 $(CURDIR)/debian/enchant.ordering $(CURDIR)/debian/libenchant1c2a/usr/share/enchant/enchant.ordering
+	install -m 644 $(CURDIR)/debian/enchant.ordering $(CURDIR)/debian/libenchant2/usr/share/enchant/enchant.ordering
 	dh_installexamples
 	dh_install
-	dh_installman -penchant doc/enchant.1 debian/enchant-lsmod.1
+	dh_installman -penchant src/enchant.1 src/enchant-lsmod.1
 	dh_link
 	dh_strip
 	dh_lintian
